#!/bin/bash

pwd=$(pwd)

export PS1='\w\$ '
umask 022
version="03"


echo "--------------------------------------------------------------"
echo "Setting PATH to $pwd:$PATH"
export PATH=$pwd:$PATH

cd /opt/maemo/usr/games/reicast/
BIOS=1
if [ ! -e /home/user/.reicast/data/dc_bios.bin ];then
	BIOS=0
fi
if [ ! -e /home/user/.reicast/data/dc_flash.bin ];then
	BIOS=0
fi

if [ $BIOS -eq 0 ];then
 zenity --error --title "REICAST" --text "You need BIOS files from a Dreamcast system.
Files must be named <span color=\"red\">dc_bios.bin</span> and <span color=\"red\">dc_flash.bin</span>
and should be puted in the <span color=\"blue\">/home/user/.reicast/data/</span> folder."
exit
fi


#zenity dialog to choose a disc
if [ -z "$@" ];then
	OLDSELECT=""
	if [ -e /home/user/.reicast/.oldfile ];then
	 CDFILE=`cat /home/user/.reicast/.oldfile`
	 OLDSELECT="--filename=\"$CDFILE\""
	fi

	cd $(dirname ${CDFILE})
	CDFILE=`zenity --file-selection  --file-filter="*.cdi" --file-filter="*.gdi" --file-filter="*.iso"`
	case $? in
			 0)
					echo "$CDFILE" selected.
					echo "$CDFILE">/home/user/.reicast/.oldfile;;
			 1)
					echo "No file selected.";;
			-1)
					echo "No file selected.";;
	esac
	cd /opt/maemo/usr/games/reicast/
else
	CDFILE="$@"
fi


./reicast.elf -config "config:image=$CDFILE"

